You don't need a patch for this. Before building...
export CMAKE_POLICY_VERSION_MINIMUM=3.5
Git Clone URL: | https://aur.archlinux.org/gamescope-git.git (read-only, click to copy) |
---|---|
Package Base: | gamescope-git |
Description: | SteamOS session compositing window manager |
Upstream URL: | https://github.com/ValveSoftware/gamescope |
Keywords: | gamescope session steamcompmgr steamos |
Licenses: | BSD-2-Clause |
Conflicts: | gamescope |
Provides: | gamescope |
Submitter: | Scrumplex |
Maintainer: | Samsagax (bouhaa, alkazar, ruineka, pastaq, Sid127) |
Last Packager: | Samsagax |
Votes: | 24 |
Popularity: | 0.27 |
First Submitted: | 2020-05-20 11:19 (UTC) |
Last Updated: | 2024-11-06 22:16 (UTC) |
You don't need a patch for this. Before building...
export CMAKE_POLICY_VERSION_MINIMUM=3.5
apply this patch to fix the build with cmake 4:
diff --git a/PKGBUILD b/PKGBUILD
index 1259a7b..9d10071 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -69,6 +69,7 @@ source=(
'git+https://github.com/Joshua-Ashton/reshade.git'
'git+https://github.com/Joshua-Ashton/GamescopeShaders.git#tag=v0.1'
'git+https://github.com/KhronosGroup/SPIRV-Headers.git'
+ 'https://gist.githubusercontent.com/VoodaGod/3ad0c5d23cfca93518317d4135e4dcca/raw/c5f2032fd9d192b757220d3f64b5a8c835aa9844/openvr_cmake4.patch'
)
b2sums=(
@@ -81,6 +82,7 @@ b2sums=(
'SKIP'
'SKIP'
'SKIP'
+ 'SKIP'
)
provides=("$_pkgname")
@@ -89,15 +91,6 @@ conflicts=("$_pkgname")
prepare() {
cd "$_pkgname"
- # Add custom patches if needed
- for src in "${source[@]}"; do
- src="${src%%::*}"
- src="${src##*/}"
- [[ $src = *.patch ]] || continue
- echo "Applying patch $src..."
- git apply -v "../$src"
- done
-
meson subprojects download
git submodule init subprojects/wlroots
@@ -122,6 +115,15 @@ prepare() {
git config submodule.thirdparty/SPIRV-Headers.url ../SPIRV-Headers
git -c protocol.file.allow=always submodule update
+
+ # Add custom patches if needed
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo "Applying patch $src..."
+ git apply -v "../$src"
+ done
}
pkgver() {
Note: This package currently doesn't build due to the CMake 4 upgrade in the Arch repositories. This depends on OpenVR, which throws an error when building with anything above CMake 3.5.
Thanks, I didn't know capital X did that with chmod.
Fairly common for upstream sources to have wrong permissions, so reasonable to fix them in packages, but setting specific permissions recursively is the wrong way to do it. If 644, directories will be unusable. If 755, files will be executable. Better way would be chmod -R u+rwX,go+rX,go-w "$pkgdir/"
Directories are already 755 and files 644 in the repo, not sure why permission fixups are needed.
is not 644, is 755
is not 644, is 755
It is out of date. At least since 2024-10-11, when a new dependency was required to build it.
Is it me or is that package currently flagged as "out of date" ? At least yay tells me so each time i'm updating.
Pinned Comments
Scrumplex commented on 2022-06-14 10:44 (UTC)
Please do not flag this package as out-of-date if it still builds fine and isn't missing any dependencies or anything